%define major           1
%define girmajor        1.0
%define libname         %mklibname xapp %{major}
%define develname       %mklibname xapp -d
%define girname         %mklibname xapp-gir %{girmajor}

Name:           xapps
Version:        1.8.10
Release:        %mkrel 3
Summary:        Common files for XApp desktop apps
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/linuxmint
Source0:        %url/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %url/flags/archive/1.0.2.tar.gz#/flags-1.0.2.tar.gz

BuildRequires:  gnome-common
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgnomekbd)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  meson
Requires:       inxi
Requires:       xdg-utils
Requires:       fpaste
Requires:       %{libname}

%description
This package includes files that are shared between several XApp
apps (i18n files and configuration schemas).

%package -n %{libname}
Group:          System/Libraries
Summary:        JavaScript bindings based on %{name}

%description -n %{libname}
This package contains JavaScript bindings based on %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{name}-devel
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with %{name}.

%package        mate
Summary:        Mate status applet with HIDPI support
Requires:       %{name} = %{version}-%{release}

%description    mate
Mate status applet with HIDPI support

%package     -n python3-xapps-overrides
Summary:        Python3 files for %{name}
BuildArch:      noarch
Requires:       python3-gobject3
Requires:       %{name} >= %{version}-%{release}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-gobject3
Obsoletes:      python-xapps-overrides
%{?python_provide:%python_provide python3-xapps-overrides}

%description -n python3-xapps-overrides
Python3 files for XApp apps.

%prep
%setup -q -n xapp-%{version}

%build
%meson -D deprecated_warnings=false
%meson_build

%install
%meson_install
tar -xf %{SOURCE1} -C %{buildroot}%{_datadir} --strip 3
	
rm %{buildroot}%{_datadir}/format

find %buildroot -name '*.la' -exec rm -f {} ';'
	
%{_bindir}/desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/xapp-sn-watcher.desktop

%find_lang xapp

%files -f xapp.lang
%{_sysconfdir}/xdg/autostart/xapp-sn-watcher.desktop
%{_bindir}/pastebin
%{_bindir}/upload-system-info
%{_bindir}/xfce4-set-wallpaper
%{_datadir}/iso-flag-png/
%{_datadir}/glib-2.0/schemas/org.x.apps.*.xml
%{_datadir}/icons/hicolor/scalable/actions/*.svg
%{_datadir}/icons/hicolor/scalable/categories/*.svg
%{_datadir}/dbus-1/services/org.x.StatusNotifierWatcher.service

%files -n %{libname}
%{_libdir}/libxapp.so.%{major}
%{_libdir}/libxapp.so.%{major}.*
%{_libdir}/girepository-1.0/XApp-1.0.typelib

%files -n python3-xapps-overrides
%{python3_sitearch}/gi/overrides

%files -n %{develname}
%{_includedir}/*
%{_libdir}/libxapp.so
%{_libdir}/pkgconfig/xapp.pc
%{_datadir}/gir-1.0/XApp-1.0.gir
%{_datadir}/glade/catalogs/xapp-glade-catalog.xml
%{_datadir}/vala/vapi/xapp.vapi
%{_datadir}/vala/vapi/xapp.deps

	
%files mate
%{_libexecdir}/xapps/
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateXAppStatusAppletFactory.service
%{_datadir}/mate-panel/applets/org.x.MateXAppStatusApplet.mate-panel-applet


%changelog
* Sat Mar 12 2022 TerryN <terryn94 at gmail.com> 1.0.3-2pclos2022
- rebuild for python 3.10

* Tue Mar 01 2022 tex - 1.8.10-2pclos2022
- require lib

* Wed Dec 02 2020 tex - 1.8.10-1pclos2020
- new version
